org.optaplanner.core.impl.localsearch.scope

## Class LocalSearchPhaseScope<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.scope.AbstractPhaseScope<Solution_>
  - - org.optaplanner.core.impl.localsearch.scope.LocalSearchPhaseScope<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation

      public class LocalSearchPhaseScope<Solution_>
      extends AbstractPhaseScope<Solution_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractPhaseScope

      `bestSolutionStepIndex, childThreadsScoreCalculationCount, endingScoreCalculationCount, endingSystemTimeMillis, logger, solverScope, startingScore, startingScoreCalculationCount, startingSystemTimeMillis`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSearchPhaseScope(DefaultSolverScope<Solution_> solverScope)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalSearchStepScope<Solution_>` | `getLastCompletedStepScope()`
    `void` | `setLastCompletedStepScope(LocalSearchStepScope<Solution_> lastCompletedStepScope)`

    - ### Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractPhaseScope

      `addChildThreadsScoreCalculationCount, assertExpectedWorkingScore, assertPredictedScoreFromScratch, assertShadowVariablesAreNotStale, assertWorkingScoreFromScratch, calculatePhaseTimeMillisSpentUpToNow, calculateScore, calculateSolverTimeMillisSpentUpToNow, endingNow, getBestScore, getBestSolutionStepIndex, getEndingSystemTimeMillis, getNextStepIndex, getPhaseBestSolutionTimeMillis, getPhaseScoreCalculationCount, getPhaseScoreCalculationSpeed, getPhaseTimeMillisSpent, getScoreDefinition, getScoreDirector, getSolutionDescriptor, getSolverScope, getStartingScore, getStartingSystemTimeMillis, getWorkingEntityCount, getWorkingEntityList, getWorkingRandom, getWorkingSolution, getWorkingValueCount, isBestSolutionInitialized, reset, setBestSolutionStepIndex, startingNow, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalSearchPhaseScope

          public LocalSearchPhaseScope(DefaultSolverScope<Solution_> solverScope)

  - ### Method Detail

    - #### getLastCompletedStepScope

          public LocalSearchStepScope<Solution_> getLastCompletedStepScope()

      Specified by:
        `getLastCompletedStepScope` in class `AbstractPhaseScope<Solution_>`

    - #### setLastCompletedStepScope

          public void setLastCompletedStepScope(LocalSearchStepScope<Solution_> lastCompletedStepScope)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.